<%@ Control Language="C#" AutoEventWireup="true" CodeFile="GroupInvite.ascx.cs" Inherits="CMSModules_Groups_Controls_GroupInvite" %>
<%@ Register Src="~/CMSFormControls/SelectUser.ascx" TagName="SelectUser" TagPrefix="cms" %>
<%@ Register Src="~/CMSModules/Groups/FormControls/CommunityGroupSelector.ascx" TagName="GroupSelector"
    TagPrefix="cms" %>
<table class="GroupInviteTable">
    <tr>
        <td colspan="2" class="InfoArea">
            <asp:Label runat="server" ID="lblInfo" EnableViewState="false" CssClass="InfoLabel"
                Visible="false" />
            <asp:Label runat="server" ID="lblError" EnableViewState="false" CssClass="ErrorLabel"
                Visible="false" />
        </td>
    </tr>
    <asp:PlaceHolder ID="plcUserType" runat="server">
        <tr>
            <td style="width: 100px;">
                <cms:localizedlabel id="lblUserType" runat="server" enableviewstate="false" resourcestring="groupinvitation.invitationtype"
                    displaycolon="true" cssclass="FieldLabel" />
            </td>
            <td>
                <table>
                    <tr>
                        <td>
                            <cms:LocalizedRadioButton AutoPostBack="true" ID="radSiteMember" GroupName="grpUserType"
                                ResourceString="invitation.existingsitemember" runat="server" Checked="true" />
                        </td>
                        <td>
                            <cms:LocalizedRadioButton AutoPostBack="true" ID="radNewUser" GroupName="grpUserType"
                                ResourceString="invitation.viaemail" runat="server" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </asp:PlaceHolder>
    <asp:PlaceHolder ID="plcEmail" runat="server">
        <tr>
            <td style="width: 100px;">
                <cms:localizedlabel id="lblEmail" runat="server" enableviewstate="false" resourcestring="general.email"
                    displaycolon="true" cssclass="FieldLabel" />
            </td>
            <td>
                <asp:TextBox ID="txtEmail" runat="server" Width="385" CssClass="TextBoxField" /><br />
                <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail"
                    Display="dynamic" EnableViewState="false" />
                <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail"
                    Display="dynamic" EnableViewState="false" />
            </td>
        </tr>
    </asp:PlaceHolder>
    <asp:PlaceHolder ID="plcUserSelector" runat="server">
        <tr>
            <td style="width: 100px;">
                <cms:localizedlabel id="lblUser" runat="server" enableviewstate="false" resourcestring="general.username"
                    displaycolon="true" cssclass="FieldLabel" />
            </td>
            <td>
                <cms:selectuser id="userSelector" runat="server" />
            </td>
        </tr>
    </asp:PlaceHolder>
    <asp:PlaceHolder ID="plcGroupSelector" runat="server">
        <tr>
            <td style="width: 100px;">
                <cms:localizedlabel id="lblGroups" runat="server" enableviewstate="false" resourcestring="general.groups"
                    displaycolon="true" cssclass="FieldLabel" />
            </td>
            <td>
                <cms:groupselector runat="server" id="groupSelector" />
            </td>
        </tr>
    </asp:PlaceHolder>
    <tr>
        <td style="width: 100px;vertical-align: top;">
            <cms:localizedlabel id="lblComment" runat="server" resourcestring="general.comment"
                displaycolon="true" cssclass="FieldLabel" enableviewstate="false" />
        </td>
        <td>
            <asp:TextBox ID="txtComment" runat="server" CssClass="BodyField" TextMode="MultiLine"
                Width="385" Height="100" EnableViewState="false" />
        </td>
    </tr>
    <asp:PlaceHolder ID="plcButtons" runat="server">
        <tr>
            <td>
            </td>
            <td>
                <cms:cmsbutton runat="server" cssclass="SubmitButton" id="btnInvite" enableviewstate="false" />
                <cms:localizedbutton cssclass="SubmitButton" id="btnCancel" runat="server" resourcestring="General.cancel"
                    enableviewstate="false" />
            </td>
        </tr>
    </asp:PlaceHolder>
</table>

<script type="text/javascript">
    //<![CDATA[

    function Close() {
        window.close();
    }

    function CloseAndRefresh() {
        if (wopener != null) {
            if (wopener.ReloadPage != null) {
                wopener.ReloadPage();
            }
        }
        Close();
    }
    //]]>
</script>

